aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/bcm53xx/base-files
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/bcm53xx/base-files')
-rw-r--r--target/linux/bcm53xx/base-files/lib/upgrade/platform.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh b/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
index 06451f17fd..fbd1036eb1 100644
--- a/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/bcm53xx/base-files/lib/upgrade/platform.sh
@@ -206,7 +206,7 @@ platform_pre_upgrade_trx() {
}
# Flash
- mtd write /tmp/kernel.trx firmware
+ mtd write /tmp/kernel.trx firmware || exit 1
nand_do_upgrade /tmp/root.ubi
}
@@ -252,7 +252,7 @@ platform_pre_upgrade_seama() {
# Flash
local kernel_size=$(sed -n 's/mtd[0-9]*: \([0-9a-f]*\).*"\(kernel\|linux\)".*/\1/p' /proc/mtd)
- mtd write $dir/kernel.seama firmware
+ mtd write $dir/kernel.seama firmware || exit 1
mtd ${kernel_size:+-c 0x$kernel_size} fixseama firmware
nand_do_upgrade $dir/root.ubi
}